import java.util.Vector;

public class FootballGame
{
	private String homeTeam, visitingTeam;
	private int homeScore, visitingScore;
	private Vector audience;

	public FootballGame(String homeTeam, String visitingTeam)
	{
		this.homeTeam = homeTeam;
		this.visitingTeam = visitingTeam;
		audience = new Vector(10);
	}

	public void addFootballListener(FootballListener f)
	{
		//add the listener to the Vector
		audience.add(f);
		//tell them who is playing
		f.setHomeTeam(homeTeam);
		f.setVisitingTeam(visitingTeam);
	}

	public void homeTeamScored(int points)
	{
		//notify the audience that the home team scored
		int size = audience.size();
		for(int i = 0; i < size; i++)
		{
			FootballListener current = (FootballListener) audience.elementAt(i);
			current.homeTeamScored(points);
		}
	}

	public void visitingTeamScored(int points)
	{
		//notify the audience that the visiting team scored
		int size = audience.size();
		for(int i = 0; i < size; i++)
		{
			FootballListener current = (FootballListener) audience.elementAt(i);
			current.visitingTeamScored(points);
		}

	}

	public void quarterEnded(int quarter)
	{
		//notify the audience which quarter just ended
		int size = audience.size();
		for(int i = 0; i < size; i++)
		{
			FootballListener current = (FootballListener) audience.elementAt(i);
			current.endOfQuarter(quarter);
		}
	}
}