public class ScoreBoard implements FootballListener
{
	private String home, visitors;
	private int homePoints, visitorPoints;
	private int currentQuarter;

	public ScoreBoard()
	{
		currentQuarter = 1;
	}

	public void updateScore()
	{
		System.out.println("*************************************");
		System.out.println(home + ": " + homePoints);
		System.out.println(visitors + ": " + visitorPoints);
		displayQuarter();
		System.out.println("*************************************");
	}

	public void displayQuarter()
	{
		if(currentQuarter > 0)
		{
			System.out.println("Game is in quarter " + currentQuarter);
		}
		else
		{
			System.out.println("Final score");
		}
	}

	public void homeTeamScored(int points)
	{
		System.out.println("The home team just scored " + points);
		homePoints += points;
		updateScore();
	}

	public void visitingTeamScored(int points)
	{
		System.out.println("The visiting team just scored " + points);
		visitorPoints += points;
		updateScore();
	}

	public void endOfQuarter(int quarter)
	{

		if(quarter >= 1 && quarter <= 3)
		{
			currentQuarter++;
		}
		else
		{
			currentQuarter = -1;	//game is over
		}
		System.out.println("Quarter " + quarter + " just ended.");
		updateScore();
	}

	public void setHomeTeam(String name)
	{
		home = name;
	}

	public void setVisitingTeam(String name)
	{
		visitors = name;
	}
}