import java.awt.event.*;
import java.applet.AppletContext;
import java.net.*;
import javax.swing.JTextField;

public class ShowDocument implements ActionListener
{
	private AppletContext context;
	private JTextField textField;

	public ShowDocument(AppletContext c, JTextField t)
	{
		context = c;
		textField = t;
	}

	public void actionPerformed(ActionEvent a)
	{
		context.showStatus("Showing document");

		URL url = null;

		try
		{
			url = new URL(textField.getText());
		}catch(MalformedURLException e)
		{
			e.printStackTrace();
			context.showStatus("Unable to display URL");
			return;
		}

		String label = a.getActionCommand();
		if(label.equals("Show"))
		{
			context.showDocument(url);
		}
		else if(label.equals("Open in new window"))
		{
			context.showDocument(url, "_blank");
		}
	}
}