import java.net.*;
import java.io.*;

public class TalkClient extends Thread
{
	private int port;
	private String host;

	public TalkClient(String host, int port) throws IOException
	{
		this.host = host;
		this.port = port;
	}

	public void run()
	{
		try
		{
			Socket socket = new Socket(host, port);

			DataInputStream in = new DataInputStream(socket.getInputStream());
			BufferedReader console = new BufferedReader(new InputStreamReader(System.in));
			DataOutputStream out = new DataOutputStream(socket.getOutputStream());

			while(true)
			{
				System.out.print("Enter response: ");
				String response = console.readLine();
				out.writeUTF(response);

				String message = in.readUTF();
				System.out.println(message);
			}
		}catch(IOException e)
		{
			e.printStackTrace();
		}
	}

	public static void main(String [] args)
	{
		int port = Integer.parseInt(args[1]);
		try
		{
			Thread t = new TalkClient(args[0], port);
			t.start();
		}catch(IOException e)
		{
			e.printStackTrace();
		}
	}
}