import java.net.*;
import java.io.*;

public class TalkServer extends Thread
{
	private ServerSocket serverSocket;

	public TalkServer(int port) throws IOException
	{
		serverSocket = new ServerSocket(port);
	}

	public void run()
	{
		try
		{
			Socket client = serverSocket.accept();

			DataInputStream in = new DataInputStream(client.getInputStream());
			BufferedReader console = new BufferedReader(new InputStreamReader(System.in));
			DataOutputStream out = new DataOutputStream(client.getOutputStream());

			while(true)
			{
				String message = in.readUTF();
				System.out.println(message);
				System.out.print("Enter response: ");
				String response = console.readLine();

				out.writeUTF(response);
			}
		}catch(IOException e)
		{
			e.printStackTrace();
		}
	}

	public static void main(String [] args)
	{
		int port = Integer.parseInt(args[0]);

		try
		{
			Thread t = new TalkServer(port);
			t.start();
		}catch(IOException e)
		{
			e.printStackTrace();
		}
	}
}