import java.util.*;
import java.net.*;
import java.io.*;

public class WeatherUpdater extends TimerTask
{
	private DatagramSocket socket;
	private String recipientName;
	private int recipientPort;

	public WeatherUpdater(String r, int p) throws SocketException
	{
		recipientName = r;
		recipientPort = p;
		socket = new DatagramSocket();
	}

	public void run()
	{
		int temp = (int) (Math.random() * 101);
		String toSend = "Current temp: " + temp;
		byte [] buffer = toSend.getBytes();

		try
		{
			DatagramPacket packet = new DatagramPacket(buffer, buffer.length, new InetSocketAddress(recipientName, recipientPort));
			socket.send(packet);
		}catch(IOException e)
		{
			System.out.println(e.getMessage());
		}
	}

	public static void main(String [] args)
	{
		try
		{
			WeatherUpdater updater = new WeatherUpdater(args[0], Integer.parseInt(args[1]));
			Timer timer = new Timer();
			timer.scheduleAtFixedRate(updater, 0, 15000);
		}catch(SocketException e)
		{
			e.printStackTrace();
		}
	}
}