import java.io.*;
import java.net.*;
import javax.swing.*;

public class Participant extends Thread
{
	private ObjectInputStream in;
	private String username;

	public Participant(String username, InputStream source) throws IOException
	{
		this.username = username;
		in = new ObjectInputStream(source);
	}

	public void run()
	{
		while(true)
		{
			try
			{
				InstantMessage im = (InstantMessage) in.readObject();
				System.out.println(im.getSender() + ": " + im.getMessage());

			}catch(Exception e)
			{
				e.printStackTrace();
				break;
			}
		}
	}


	public static void main(String [] args)
	{
		try
		{
			String username = args[0];
			Socket socket = new Socket(args[1], 5555);
			DataOutputStream out = new DataOutputStream(socket.getOutputStream());
			out.writeUTF(username);

			Participant p = new Participant(username, socket.getInputStream());
			p.start();

			JFrame f = new InstantMessageFrame("My IM Program", username);
			f.setSize(220,450);
			f.setVisible(true);
		}catch(IOException e)
		{
			e.printStackTrace();
		}
	}
}