import java.net.*;
import javax.net.ssl.*;
import java.io.*;

public class OrderHandler extends Thread
{
	private SSLServerSocket serverSocket;

	public OrderHandler(int port) throws IOException
	{
		SSLServerSocketFactory factory = (SSLServerSocketFactory) SSLServerSocketFactory.getDefault();
		serverSocket = (SSLServerSocket) factory.createServerSocket(port);

		String [] suites = serverSocket.getSupportedCipherSuites();
		serverSocket.setEnabledCipherSuites(suites);
	}

	public void run()
	{
		while(true)
		{
			try
			{
				System.out.println("Waiting for order...");
				SSLSocket socket = (SSLSocket) serverSocket.accept();
				socket.startHandshake();

				ObjectInputStream in = new ObjectInputStream(socket.getInputStream());
				CustomerOrder order = (CustomerOrder) in.readObject();

				System.out.println("** Processing order **");
				System.out.println("Amount: " + order.amountOfOrder);
				System.out.println("Card info: " + order.creditCardNumber + " " + order.expMonth + "/" + order.expYear);
				socket.close();
			}catch(Exception e)
			{
				e.printStackTrace();
				break;
			}
		}
	}

	public static void main(String [] args)
	{
		int port = Integer.parseInt(args[0]);

		try
		{
			Thread t = new OrderHandler(port);
			t.start();
		}catch(IOException e)
		{
			e.printStackTrace();
		}
	}
}