import java.net.*;
import javax.net.ssl.*;
import java.io.*;

public class PurchaseDemo
{
	public static void main(String [] args)
	{
		String host = args[0];
		int port = Integer.parseInt(args[1]);

		try
		{
			System.out.println("Locating socket factory for SSL...");
			SSLSocketFactory factory = (SSLSocketFactory) SSLSocketFactory.getDefault();

			System.out.println("Creating secure socket to " + host + ":" + port);
			SSLSocket socket = (SSLSocket) factory.createSocket(host, port);

			System.out.println("Enabling all available cipher suites...");
			String [] suites = socket.getSupportedCipherSuites();
			socket.setEnabledCipherSuites(suites);

			ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());

			System.out.println("Sending order...");
			CustomerOrder order = new CustomerOrder(1111222233334444L, 1, 2010, 853.79);
			out.writeObject(order);
		}catch(Exception e)
		{
			e.printStackTrace();
		}
	}
}