import java.net.*;
import javax.net.ssl.*;
import java.io.*;

public class SSLClientDemo
{
	public static void main(String [] args)
	{
		String host = args[0];
		int port = Integer.parseInt(args[1]);

		try
		{
			System.out.println("Locating socket factory for SSL...");
			SSLSocketFactory factory = (SSLSocketFactory) SSLSocketFactory.getDefault();

			System.out.println("Creating secure socket to " + host + ":" + port);
			SSLSocket socket = (SSLSocket) factory.createSocket(host, port);

			System.out.println("Enabling all available cipher suites...");
			String [] suites = socket.getSupportedCipherSuites();
			socket.setEnabledCipherSuites(suites);

			System.out.println("Registering a handshake listener...");
			socket.addHandshakeCompletedListener(new MyHandshakeListener());

			System.out.println("Starting handshaking...");
			socket.startHandshake();

			System.out.println("Just connected to " + socket.getRemoteSocketAddress());
		}catch(IOException e)
		{
			e.printStackTrace();
		}
	}
}