package video.store;

import java.beans.*;

public class Customer implements java.io.Serializable
{
	private String name;
	private int number;
	private PropertyChangeSupport pcs;
	private VetoableChangeSupport vcs;

	public Customer()
	{
		name = "";
		pcs = new PropertyChangeSupport(this);
		vcs = new VetoableChangeSupport(this);
	}

	public void addVetoableChangeListener(VetoableChangeListener p)
	{
		System.out.println("Registering a new vetoable listener");
		vcs.addVetoableChangeListener(p);
	}

	public void removeVetoableChangeListener(VetoableChangeListener p)
	{
		vcs.removeVetoableChangeListener(p);
	}

	public VetoableChangeListener [] getVetoableChangeListeners()
	{
		System.out.println("Getting vetoable listeners");
		return vcs.getVetoableChangeListeners();
	}

	public void addPropertyChangeListener(PropertyChangeListener p)
	{
		pcs.addPropertyChangeListener(p);
	}

	public void removePropertyChangeListener(PropertyChangeListener p)
	{
		pcs.removePropertyChangeListener(p);
	}

	public PropertyChangeListener [] getPropertyChangeListeners()
	{
		return pcs.getPropertyChangeListeners();
	}

	public void setName(String s)
	{
		String oldName = name;
		name = s;
		pcs.firePropertyChange("name", oldName, name);
	}

	public String getName()
	{
		return name;
	}

	public void setAccountNumber(int newNumber) throws PropertyVetoException
	{
		int oldNumber = number;
		vcs.fireVetoableChange("accountNumber", new Integer(oldNumber), new Integer(newNumber));
		number = newNumber;
		pcs.firePropertyChange("accountNumber", oldNumber, number);
	}

	public int getAccountNumber()
	{
		return number;
	}
}