import java.util.*;

public class Radio implements java.io.Serializable
{
	private int volume;
	private float station;
	private Vector listeners;

	public Radio()
	{
		listeners = new Vector();
	}

	public void addVolumeListener(VolumeListener v)
	{
		listeners.add(v);
	}

	public void removeVolumeListener(VolumeListener v)
	{
		listeners.remove(v);
	}

	public VolumeListener [] getVolumeListeners()
	{
		return (VolumeListener []) listeners.toArray();
	}

	public void setVolume(int v)
	{
		int difference = volume - v;		
		if(difference == 0)
		{
			return;
		}
		volume = v;

		//notify listeners
		VolumeEvent event = new VolumeEvent(this, volume);
		Vector clone = (Vector) listeners.clone();
		for(int i = 0; i < clone.size(); i++)
		{
			VolumeListener current = (VolumeListener) clone.elementAt(i);
			if(volume == 0)
			{
				current.muted(event);
			}else if(difference > 0)
			{
				current.volumeDecreased(event);
			}else if(difference < 0)
			{
				current.volumeIncreased(event);
			}
		}
	}

	public int getVolume()
	{
		return volume;
	}

	public void setStation(float s)
	{
		station = s;
	}

	public float getStation()
	{
		return station;
	}
}